+ Post New Thread
Page 1 of 633 1 2 3 11 51 101 501 ... LastLast
Threads 1 to 25 of 15816

Forum: AutoLISP, Visual LISP & DCL

Questions from beginner to advanced. Tell us about good sources of free lisp and post your own routines for testing.
Code posting guidelines

  1. FAQ Article Sticky Thread Sticky: Code posting guidelines

    Code posting guidelines When you are posting AutoLISP or VBA code in these forums, there are some simple guidellines you should observe in order to make life easier for you and for others. ...

    Started by CADTutor‎, 18th Sep 2006 10:46 pm
    • Replies: 0
    • Views: 71,144
    18th Sep 2006 10:46 pm Go to last post
  2. FAQ Article Sticky Thread Sticky: Suggested changes to this forum

    The "AutoLISP, VBA, the CUI & Customisation" forum has become a very lively part of the AutoCAD Forums and probably needs a structural review in order to acommodate growth in the future. I'm...

    Started by CADTutor‎, 14th Jun 2010 09:44 am
    8 Pages
    1 2 3 ... 8
    • Replies: 75
    • Views: 82,302
    12th Aug 2010 08:09 am Go to last post
  1. lwpolyline length between specific vertexes

    Hello, I am using Civil 3d 2008 and i am looking for a way to "dimension" a polyline between specific vertexes. For example if i have a polyline with 50 vertexes and i need to write the length...

    Started by !!GEORGE!!‎, 18th May 2010 09:14 am
    • Replies: 5
    • Views: 2,452
    18th May 2010 07:25 pm Go to last post
  2. Methods

    Hello, I'm new here. I have little knowledge about visual lisp and I wanted to ask about methods: ; Methods supported: ; AddVertex (2) ; ArrayPolar (3) ; ArrayRectangular (6) ; Copy ()...

    Started by (car (entsel))‎, 26th Sep 2016 06:32 pm
    2 Pages
    1 2
    • Replies: 14
    • Views: 2,751
    28th Sep 2016 08:02 pm Go to last post
  3. entmake xline, vector argument

    Hello, I'm trying to entmake xline by specifying 2 points. But the (xline) subfunction, created by Lee Mac expects point and vector, how do I calculate it from the 2 points I specify?

    Started by (car (entsel))‎, 4th Oct 2016 02:02 pm
    • Replies: 3
    • Views: 1,055
    4th Oct 2016 06:20 pm Go to last post
  4. (nentsel)

    Hi, This thread is not about (nentsel), but for similair functionality. I try to use this: (cdr (assoc 0 (entget (ssname (ssget "_+.:E:S:L:N") 0)))) Which should mean: "select single entity, on...

    Started by (car (entsel))‎, 14th Oct 2016 10:13 pm
    • Replies: 2
    • Views: 1,896
    15th Oct 2016 01:20 pm Go to last post
  5. Set entity color

    Hello everybody, The following works with circle, line but not with lwpolyline, spline: (defun C:RT ( / ent data ) (if (setq ent (car (entsel "\nSelect object to change its color"))) (progn ...

    Started by (car (entsel))‎, 27th Oct 2016 12:51 pm
    • Replies: 7
    • Views: 1,594
    27th Oct 2016 10:25 pm Go to last post
  6. Updated Drawing Notification

    I am contract CAD support in a large M&E consultancy firm. Recently we have been thinking of a new system to keep an organised back log of superceded drawing revisions. The system I have decided...

    Started by (kyle)wrighty‎, 17th Apr 2007 02:15 pm
    • Replies: 7
    • Views: 3,598
    18th Apr 2007 11:09 am Go to last post
  7. Bulk engineering - Import from excel to dwg

    I'm curious if there exist a tool wich I can use to import data (text) from an excel sheet into several autocad drawings? I have to fill in a lot of loop diagrams and I am hoping to make my work a...

    Started by -Dave-‎, 11th Sep 2009 02:46 pm
    • Replies: 2
    • Views: 5,298
    14th Sep 2009 07:21 pm Go to last post
  8. VBA - Find and Replace

    I am looking for some VBA code to find a some text "x-xx-xx" in a drawing and replace it with say "4-4-08". Thanks in advance for any help.

    Started by -KarL-‎, 7th Apr 2008 05:46 pm
    • Replies: 5
    • Views: 5,203
    7th Jan 2013 04:37 pm Go to last post
  9. Printing with VBA

    I have created a batch program in VBA that opens drawings from a list and does an bunch of stuff to the drawing to get it ready to be issued. The last thing I want it to do is print an 11X17 copy of...

    Started by -KarL-‎, 3rd Jul 2008 05:56 pm
    3 Pages
    1 2 3
    • Replies: 22
    • Views: 19,284
    12th Jan 2010 10:41 am Go to last post
  10. Get Multiple File Names

    I am looking for a way to browse for multiple drawings and populate a list box with all the file paths in VBA Thanks in advance -KarL-

    Started by -KarL-‎, 11th Jul 2008 10:33 pm
    2 Pages
    1 2
    • Replies: 16
    • Views: 9,990
    28th Mar 2015 09:44 am Go to last post
  11. VBA - Selection Sets

    How do I go about creating a selection set of devices in vba? Thanks in advance KarL

    Started by -KarL-‎, 23rd Jul 2008 11:51 pm
    2 Pages
    1 2
    • Replies: 17
    • Views: 20,405
    3rd Mar 2009 10:54 am Go to last post
  12. Modifiy "Places"?

    Is there anyway to modify the places list (the shortcut folders on the side of the open or save dialog boxes) using VBA or LISP

    Started by -KarL-‎, 26th Sep 2008 08:59 pm
    • Replies: 1
    • Views: 1,525
    27th Sep 2008 06:50 pm Go to last post
  13. Oblique Dims with VBA

    Anybody know how to oblique dims with vba?

    Started by -KarL-‎, 11th Nov 2008 10:25 pm
    • Replies: 1
    • Views: 2,145
    12th Nov 2008 01:50 pm Go to last post
  14. Modify DimStyles with VBA

    I am looking for a way to modify a dim style. Mainly the color of the text and dim lines. I have tried searching the forum but have not been able to find anything that works yet. Thanks for any...

    Started by -KarL-‎, 29th Dec 2008 06:02 pm
    • Replies: 5
    • Views: 4,391
    10th Jul 2009 06:52 pm Go to last post
  15. Insert Block with VB.NET

    I am finally getting around to converting my programs over to VB.NET and I have been able to find a lot of sample code to help out but the one thing I can't figure out is inserting blocks. Anyone...

    Started by -KarL-‎, 28th Sep 2009 11:54 pm
    • Replies: 8
    • Views: 12,405
    28th Feb 2013 03:00 am Go to last post
  16. how to add vertex in to polyline

    how to add vertex in polyline mesured distence

    Started by 121madhu‎, 25th Jun 2013 12:07 pm
    • Replies: 6
    • Views: 6,376
    10th Oct 2013 08:26 am Go to last post
  17. One lay different color objects so how can i change same color object to another lay

    Any idea have to change one layer to another layer any one color objects

    Started by 121madhu‎, 13th Jul 2013 09:20 am
    2 Pages
    1 2
    • Replies: 15
    • Views: 4,196
    16th Jul 2013 05:20 pm Go to last post
  18. Select Layer text modify

    Any lisp have to increase or decrees text size to selective layer

    Started by 121madhu‎, 14th Jul 2013 06:54 am
    • Replies: 4
    • Views: 1,363
    15th Jul 2013 06:24 am Go to last post
  19. How can I Learn AutoCAD .lisp

    I don’t know lisp coding I want learn lisp codeing please help me, where I find best lisp training programs and also all “CAD tutor” members guide me and teach me Thanks for all CAD...

    Started by 121madhu‎, 15th Jul 2013 05:36 am
    • Replies: 4
    • Views: 5,525
    15th Jul 2013 03:50 pm Go to last post
  20. One time select lines to convert polyline

    (PE join lines,arcs select) same prosses of PE but there is taking long time if have any lisp file . select lines,arcs to convert polyline. lines,arcs old layer but new polyline take new...

    Started by 121madhu‎, 21st Jul 2013 07:44 am
    2 Pages
    1 2
    • Replies: 12
    • Views: 4,884
    27th Jul 2013 07:01 am Go to last post
  21. Offset lines create diffrent layers and specify offset distence

    1. In utilities need offset the line 2m. and 1.5m and 4m….etc. Every line create the new layer (new layer name user defined ) no need color. 2. the layer name I defined as the line type ...

    Started by 121madhu‎, 3rd Dec 2013 01:14 pm
    3 Pages
    1 2 3
    • Replies: 23
    • Views: 7,228
    7th Dec 2013 02:52 pm Go to last post
  22. for knowing layouts to .dwgs and .dwgs to layouts

    Hi every one Any one please help me how to export/import layouts to .dwg. (.dwg s to layouts) Check this img to understand my question I have one .dwg there is multiple layouts each layout export...

    Started by 121madhu‎, 13th Jan 2014 12:32 pm
    2 Pages
    1 2
    • Replies: 11
    • Views: 3,630
    17th Jan 2014 11:10 pm Go to last post
  23. move vertex by lisp

    hi all two polylines vertex move to center not merge check this jpeg attached its possible to lisp please help me as soon as possible thank you

    Started by 121madhu‎, 26th Jan 2014 07:20 am
    • Replies: 0
    • Views: 2,515
    26th Jan 2014 07:20 am Go to last post
  24. There is any other solution to multi .dwgs to layouts

    Hi anyone please help me I received .dwgs from consultant model space is all .dwgs same but layouts different so I insert all .dwgs layouts to single .dwg and multi layouts I am using design...

    Started by 121madhu‎, 22nd Mar 2014 07:27 am
    2 Pages
    1 2
    • Replies: 19
    • Views: 6,968
    31st Mar 2014 08:43 am Go to last post
  25. hi all i want align block with curve

    thank you Lee Mac http://www.lee-mac.com/objectalign.html this lisp please add multipul copy objects (which is you align object) i need align object to where i click i work flow direction...

    Started by 121madhu‎, 26th Jun 2014 01:54 pm
    • Replies: 4
    • Views: 2,108
    23rd Sep 2014 05:47 am Go to last post

Thread Display Options

Use this control to limit the display of threads to those newer than the specified time frame.

Allows you to choose the data by which the thread list will be sorted.

Order threads in...

Note: when sorting by date, 'descending order' will show the newest results first.

Icon Legend

Contains unread posts
Contains unread posts
Contains no unread posts
Contains no unread posts
More than 15 replies or 250 views
Hot thread with unread posts
More than 15 replies or 250 views
Hot thread with no unread posts
Closed Thread
Thread is closed
Thread Contains a Message Written By You
You have posted in this thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts